edu.wisc.cae.caeauth.internal.model

## Class CAESamlInfo

- java.lang.Object
- - edu.wisc.cae.caeauth.internal.model.CAESamlInfo

All Implemented Interfaces:
  Serializable, org.jvnet.jaxb2_commons.lang.Equals, org.jvnet.jaxb2_commons.lang.HashCode, org.jvnet.jaxb2_commons.lang.ToString

    public class CAESamlInfo
    extends Object
    implements Serializable, org.jvnet.jaxb2_commons.lang.Equals, org.jvnet.jaxb2_commons.lang.HashCode, org.jvnet.jaxb2_commons.lang.ToString

Java class for CAESamlInfo complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CAESamlInfo">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="guid" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="valid" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="invalid_reason" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="caelogin" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="caeid" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             <element name="expire_time" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

### Field Summary

Fields
`protected Integer` `caeid`
`protected String` `caelogin`
`protected XMLGregorianCalendar` `expireTime`
`protected String` `guid`
`protected String` `invalidReason`
`protected boolean` `valid`

### Constructor Summary

Constructors
Constructor and Description
`CAESamlInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StringBuilder` `append(org.jvnet.jaxb2_commons.locator.ObjectLocator locator, StringBuilder buffer, org.jvnet.jaxb2_commons.lang.ToStringStrategy strategy)`
`StringBuilder` `appendFields(org.jvnet.jaxb2_commons.locator.ObjectLocator locator, StringBuilder buffer, org.jvnet.jaxb2_commons.lang.ToStringStrategy strategy)`
`boolean` `equals(Object object)`
`boolean` `equals(org.jvnet.jaxb2_commons.locator.ObjectLocator thisLocator, org.jvnet.jaxb2_commons.locator.ObjectLocator thatLocator, Object object, org.jvnet.jaxb2_commons.lang.EqualsStrategy strategy)`
`Integer` `getCaeid()` Gets the value of the caeid property.
`String` `getCaelogin()` Gets the value of the caelogin property.
`XMLGregorianCalendar` `getExpireTime()` Gets the value of the expireTime property.
`String` `getGuid()` Gets the value of the guid property.
`String` `getInvalidReason()` Gets the value of the invalidReason property.
`int` `hashCode()`
`int` `hashCode(org.jvnet.jaxb2_commons.locator.ObjectLocator locator, org.jvnet.jaxb2_commons.lang.HashCodeStrategy strategy)`
`boolean` `isValid()` Gets the value of the valid property.
`void` `setCaeid(Integer value)` Sets the value of the caeid property.
`void` `setCaelogin(String value)` Sets the value of the caelogin property.
`void` `setExpireTime(XMLGregorianCalendar value)` Sets the value of the expireTime property.
`void` `setGuid(String value)` Sets the value of the guid property.
`void` `setInvalidReason(String value)` Sets the value of the invalidReason property.
`void` `setValid(boolean value)` Sets the value of the valid property.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### guid

    protected String guid

#### valid

    protected boolean valid

#### invalidReason

    protected String invalidReason

#### caelogin

    protected String caelogin

#### caeid

    protected Integer caeid

#### expireTime

    protected XMLGregorianCalendar expireTime

### Constructor Detail

#### CAESamlInfo

    public CAESamlInfo()

### Method Detail

#### getGuid

    public String getGuid()

Gets the value of the guid property.

Returns:
  possible object is `String`

#### setGuid

    public void setGuid(String value)

Sets the value of the guid property.

Parameters:
  `value` - allowed object is `String`

#### isValid

    public boolean isValid()

Gets the value of the valid property.

#### setValid

    public void setValid(boolean value)

Sets the value of the valid property.

#### getInvalidReason

    public String getInvalidReason()

Gets the value of the invalidReason property.

Returns:
  possible object is `String`

#### setInvalidReason

    public void setInvalidReason(String value)

Sets the value of the invalidReason property.

Parameters:
  `value` - allowed object is `String`

#### getCaelogin

    public String getCaelogin()

Gets the value of the caelogin property.

Returns:
  possible object is `String`

#### setCaelogin

    public void setCaelogin(String value)

Sets the value of the caelogin property.

Parameters:
  `value` - allowed object is `String`

#### getCaeid

    public Integer getCaeid()

Gets the value of the caeid property.

Returns:
  possible object is `Integer`

#### setCaeid

    public void setCaeid(Integer value)

Sets the value of the caeid property.

Parameters:
  `value` - allowed object is `Integer`

#### getExpireTime

    public XMLGregorianCalendar getExpireTime()

Gets the value of the expireTime property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setExpireTime

    public void setExpireTime(XMLGregorianCalendar value)

Sets the value of the expireTime property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### append

    public StringBuilder append(org.jvnet.jaxb2_commons.locator.ObjectLocator locator,
                                StringBuilder buffer,
                                org.jvnet.jaxb2_commons.lang.ToStringStrategy strategy)

Specified by:
  `append` in interface `org.jvnet.jaxb2_commons.lang.ToString`

#### appendFields

    public StringBuilder appendFields(org.jvnet.jaxb2_commons.locator.ObjectLocator locator,
                                      StringBuilder buffer,
                                      org.jvnet.jaxb2_commons.lang.ToStringStrategy strategy)

Specified by:
  `appendFields` in interface `org.jvnet.jaxb2_commons.lang.ToString`

#### equals

    public boolean equals(org.jvnet.jaxb2_commons.locator.ObjectLocator thisLocator,
                          org.jvnet.jaxb2_commons.locator.ObjectLocator thatLocator,
                          Object object,
                          org.jvnet.jaxb2_commons.lang.EqualsStrategy strategy)

Specified by:
  `equals` in interface `org.jvnet.jaxb2_commons.lang.Equals`

#### equals

    public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode(org.jvnet.jaxb2_commons.locator.ObjectLocator locator,
                        org.jvnet.jaxb2_commons.lang.HashCodeStrategy strategy)

Specified by:
  `hashCode` in interface `org.jvnet.jaxb2_commons.lang.HashCode`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`